Subject: Re: [PATCH net-next] eth: fs_enet: fix print format for resource size

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Jun 2023 21:22:59 -0700

On Wed, 14 Jun 2023 21:02:33 -0700 Randy Dunlap wrote:
> On 6/14/23 20:52, Jakub Kicinski wrote:
> > Randy forwarded report from Stephen that on PowerPC:  
> 
> Stephen forwarded report from Randy?
> 
> netdev & pantelis were cc-ed...

Ah, I misread, you were reporting to Stephen the status for the latest
linux-next!

https://lore.kernel.org/all/[email-masked]/

Seems obvious in hindsight, sorry. I'll reword when applying.

> > drivers/net/ethernet/freescale/fs_enet/mii-fec.c: In function 'fs_enet_mdio_probe':
> > drivers/net/ethernet/freescale/fs_enet/mii-fec.c:130:50: warning: format '%x' expects argument of type 'unsigned int', but argument 4 has type 'resource_size_t' {aka 'long long unsigned int'} [-Wformat=]
> >   130 |         snprintf(new_bus->id, MII_BUS_ID_SIZE, "%x", res.start);
> >       |                                                 ~^   ~~~~~~~~~
> >       |                                                  |      |
> >       |                                                  |      resource_size_t {aka long long unsigned int}
> >       |                                                  unsigned int
> >       |                                                 %llx
> > 
> > Use the right print format.
> > 
> > Untested, I can't repro this warning myself. With or without
> > the patch mpc512x_defconfig builds just fine.
> > 
> > Link: https://lore.kernel.org/all/[email-masked]/
> > Signed-off-by: Jakub Kicinski <[email-masked]>
> > ---
> > CC: Randy Dunlap <[email-masked]>
> > CC: [email-masked]
> > CC: [email-masked]  
> 
> I'm using gcc-12.2.0.
> 
> Reported-by: Randy Dunlap <[email-masked]>
> Acked-by: Randy Dunlap <[email-masked]>
> Tested-by: Randy Dunlap <[email-masked]> # build-tested

Thank you! GCC 11.1 here, FWIW.